Identities
Upload an identity
POST
Uploads an identity (supports multiple images) for use in batch processing.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
multipart/form-data- body
image*ImageIdentity image data.
Format
binaryname?|Optional custom name for the identity.
Default
nulltag?|Optional tag for budget_category purposes.
Default
nullSuccessful Response
application/json- response
original_filename?|Original filename of the uploaded image.
Default
nulllink*string|nullthumbnail_link?|768px WebP thumbnail URL for grid/list rendering. Falls back to link when null.
Default
nullvisibility*VisibilityVisibility level of the identity.
Value in
"shared""private""default"groups*array<string>Groups the identity is shared with.
identity_code*Identity CodeUnique identifier for the identity.
name*|Identity custom name (can be null)
created_by*|Username of the creator.
image_description?|Structured image description (JSON).
Default
nullsuccess*Successface_detected*Face Detectedface_metadata*created_at*Created Atcurl -X POST "https://example.com/identity/upload" \ -F image="string"{ "original_filename": null, "link": "string", "thumbnail_link": null, "visibility": "shared", "groups": [ "string" ], "identity_code": "string", "name": "string", "created_by": "string", "image_description": null, "success": true, "face_detected": true, "face_metadata": { "property1": 0, "property2": 0 }, "created_at": "string"}